'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _globby = require('globby');

var _globby2 = _interopRequireDefault(_globby);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var PostContentValidator = function () {
  function PostContentValidator() {
    _classCallCheck(this, PostContentValidator);
  }

  _createClass(PostContentValidator, [{
    key: 'validate',
    value: function validate(path) {
      var errors = [];
      var files = _globby2.default.sync(path);

      files.forEach(function (file) {
        var text = _fs2.default.readFileSync(file, 'utf8');

        // Look for problematic `|` character in
        // [abc](https://example.org "A | B")
        var verticalBarProblematicLinks = text.match(/\[.*\]\([\w:\/.]*\s*\".*\|.*\"\)/gi);

        if (verticalBarProblematicLinks) {
          errors.push(file + ' contains the following problematic vertical bar links:\n\n' + verticalBarProblematicLinks.join('\n') + '\n');
        }
      });

      if (errors.length > 0) {
        throw new Error(errors.join('\n'));
      }
    }
  }]);

  return PostContentValidator;
}();

exports.default = PostContentValidator;